geos::operation::overlayng::UnaryUnionNG::NGUnionStrategy Class Reference

`#include <UnaryUnionNG.h>`

Inheritance diagram for geos::operation::overlayng::UnaryUnionNG::NGUnionStrategy:

## Public Member Functions

| NGUnionStrategy (const PrecisionModel &p_pm)
std::unique_ptr< geom::Geometry > | Union (const geom::Geometry *g0, const geom::Geometry *g1) override
bool | isFloatingPrecision () const override
Public Member Functions inherited from geos::operation::geounion::UnionStrategy
virtual std::unique_ptr< geom::Geometry > | Union (std::unique_ptr< geom::Geometry > &&, std::unique_ptr< geom::Geometry > &&)

## Detailed Description

Strategy class for NG unions.

## Member Function Documentation

## isFloatingPrecision()

bool geos::operation::overlayng::UnaryUnionNG::NGUnionStrategy::isFloatingPrecision | ( |  | ) | const

inline override virtual

Indicates whether the union function operates using a floating (full) precision model. If this is the case, then the unary union code can make use of the operation::union::OverlapUnion performance optimization, and perhaps other optimizations as well. Otherwise, the union result extent may not be the same as the extent of the inputs, which prevents using some optimizations.

Implements geos::operation::geounion::UnionStrategy.

## Union()

std::unique_ptr< geom::Geometry > geos::operation::overlayng::UnaryUnionNG::NGUnionStrategy::Union | ( | const geom::Geometry * | ,
|  | const geom::Geometry * | )

inline override virtual

Computes the union of two geometries. This method may throw a `util::TopologyException` if one is encountered

Implements geos::operation::geounion::UnionStrategy.

References geos::operation::overlayng::OverlayNG::overlay().

The documentation for this class was generated from the following file:

- UnaryUnionNG.h